View Issue Details

IDProjectCategoryView StatusLast Update
0001527NoesisGUIC# SDKpublic2019-08-07 16:35
ReporterasusralisAssigned Tosfernandez 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0001527: Using the delegate version of VisualTree.HitTest crashes Unity
DescriptionReference: https://www.noesisengine.com/forums/viewtopic.php?f=3&t=1768
Steps To ReproduceNoesis.Visual root = (Noesis.Visual)Noesis.VisualTreeHelper.GetRoot(view.Content);

            Noesis.HitTestResult result = null;

            Noesis.VisualTreeHelper.HitTest(root,
                (target) =>
                {
                    var element = target as Noesis.UIElement;

                    if ((element != null) && (!element.IsHitTestVisible || !element.IsVisible))
                    {
                        return Noesis.HitTestFilterBehavior.ContinueSkipSelfAndChildren;
                    }
                    else
                    {
                        return Noesis.HitTestFilterBehavior.Continue;
                    }
                },
               (target) =>
               {
                   result = target;

                   return Noesis.HitTestResultBehavior.Stop;
               }, new Noesis.PointHitTestParameters(new Noesis.Point(Input.mousePosition.x, Screen.height - Input.mousePosition.y)));

            return result?.VisualHit != null;
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-08-01 18:12 asusralis New Issue
2019-08-02 11:22 sfernandez Assigned To => sfernandez
2019-08-02 11:22 sfernandez Status new => assigned
2019-08-02 11:22 sfernandez Target Version => 2.2.4
2019-08-07 16:35 sfernandez Status assigned => resolved
2019-08-07 16:35 sfernandez Resolution open => fixed
2019-08-07 16:35 sfernandez Fixed in Version => 2.2.4